PHP Manual
Prev |  | Next

# imagecreate

(PHP 3, PHP 4, PHP 5)

imagecreate -- Create a new palette based image

## Description

resource imagecreate ( int width, int height )

imagecreate() returns an image identifier representing a blank image of specified size.

We recommend the use of imagecreatetruecolor().

## Parameters

`width`

  The image width

`height`

  The image height

## Return Values

Returns an image resource identifier on success, `FALSE` on errors.

## Examples

Example 1. Creating a new GD image stream and outputting an image.

`<?php header("Content-type: image/png"); $im = @imagecreate(110, 20) or die("Cannot Initialize new GD image stream"); $background_color = imagecolorallocate($im, 0, 0, 0); $text_color = imagecolorallocate($im, 233, 14, 91); imagestring($im, 1, 5, 5, "A Simple Text String", $text_color); imagepng($im); imagedestroy($im); ?>`

The above example will output something similar to:

## See Also

imagedestroy()
imagecreatetruecolor()

Prev | Home | Next
imagecopyresized | Up | imagecreatefromgd2